.orange {
  background: #ff9900;
}

.deeporange {
  background: #ce3c10;
}


nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  padding: 2em 3em;

  .logo {
    border-radius: 100%;
    background: #aeaaaa;
    width: 60px;
    height: 60px;
    display: grid;
    place-items: center;
  }

  ul {
    list-style: none;
    display: flex;
    align-items: center;
  }
}



// circle
.circle a:link,
.circle a:visited {
  text-decoration: none;
  color: #ddd;
  font-size: 1.5rem;
  font-family: Raleway;
  margin: 0 1rem;
  padding: 0.5rem;
  position: relative;
  z-index: 0;
  cursor: pointer;
  text-transform: uppercase;

  &:before,
  &:after {
    position: absolute;
    top: 22px;
    left: 50%;
    width: 40px;
    height: 40px;
    border: 4px solid white;
    transform: translateX(-50%) translateY(-50%) scale(0.8);
    border-radius: 50%;
    background: transparent;
    content: "";
    opacity: 0;
    transition: all 0.3s;
    z-index: -1;
  }

  &:after {
    border-width: 2px;
    transition: all 0.4s;
  }

  &:hover:before {
    opacity: 0.8;
    transform: translateX(-50%) translateY(-50%) scale(1);
  }

  &:hover:after {
    opacity: 0.8;
    transform: translateX(-50%) translateY(-50%) scale(1.3);
  }
}

// lines
.lines a:link,
.lines a:visited {
  text-decoration: none;
  color: white;
  font-size: 1.5rem;
  font-family: Raleway;
  margin: 0 1rem;
  padding: 0.5rem;
  position: relative;
  z-index: 0;
  cursor: pointer;
  text-transform: uppercase;

  &:before,
  &:after {
    position: absolute;
    left: 0px;
    width: 100%;
    height: 2px;
    background: #fff;
    content: "";
    opacity: 0;
    transition: all 0.3s;
  }

  &:before {
    top: 0px;
    transform: translateY(10px);
  }

  &:after {
    bottom: 0px;
    transform: translateY(-10px);
  }

  &:hover:before,
  &:hover:after {
    opacity: 1;
    transform: translateY(0px);
  }
}

// brackets
.brackets a:link,
.brackets a:visited {
  text-decoration: none;
  color: white;
  font-size: 1.5rem;
  font-family: Raleway;
  margin: 0 1rem;
  padding: 0.5rem;
  position: relative;
  z-index: 0;
  cursor: pointer;
  text-transform: uppercase;

  &:before,
  &:after {
    position: absolute;
    opacity: 0;
    font-size: 35px;
    top: 0px;
    transition: all 0.3s;
  }

  &:before {
    content: "(";
    left: 0px;
    transform: translateX(10px);
  }

  &:after {
    content: ")";
    right: 0px;
    transform: translateX(-10px);
  }

  &:hover:before,
  &:hover:after {
    opacity: 1;
    transform: translateX(0px);
  }
}

// brackets
.pull a:link,
.pull a:visited {
  text-decoration: none;
  color: white;
  font-size: 1.5rem;
  font-family: Raleway;
  margin: 0 1rem;
  padding: 0.5rem;
  position: relative;
  z-index: 0;
  cursor: pointer;
  text-transform: uppercase;

  &:before {
    position: absolute;
    width: 100%;
    height: 2px;
    left: 0px;
    top: 0px;
    content: "";
    background: #fff;
    opacity: 0.3;
    transition: all 0.3s;
  }

  &:hover:before {
    height: 100%;
  }
}

// border
.border a:link,
.border a:visited {
  text-decoration: none;
  color: white;
  font-size: 1.5rem;
  font-family: Raleway;
  margin: 0 1rem;
  padding: 0.5rem;
  position: relative;
  z-index: 0;
  cursor: pointer;
  text-transform: uppercase;

  &:before,
  &:after {
    position: absolute;
    opacity: 0.5;
    height: 100%;
    width: 2px;
    content: "";
    background: #fff;
    transition: all 0.3s;
  }

  &:before {
    left: 0px;
    top: 0px;
  }

  &:after {
    right: 0px;
    bottom: 0px;
  }

  &:hover:before,
  &:hover:after {
    opacity: 1;
    height: 2px;
    width: 100%;
  }
}

